Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class RecipientInfo.UnresolvedRecipient

    java.lang.Object
      portlets.compoze.groupware.RecipientInfo.Recipient
          portlets.compoze.groupware.RecipientInfo.UnresolvedRecipient

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RecipientInfo

public static class RecipientInfo.UnresolvedRecipient
extends RecipientInfo.Recipient
implements java.io.Serializable

This class represents an unresolved recipient.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `RecipientInfo.UnresolvedRecipient.AmbiguousEntry` This class represents an ambiguous entry.

Field Summary

Fields inherited from class portlets.compoze.groupware.RecipientInfo.Recipient
`RECIPIENT_TYPE_BCC, RECIPIENT_TYPE_CC, RECIPIENT_TYPE_TO`

Constructor Summary
`RecipientInfo.UnresolvedRecipient(int iIndex, java.lang.String sEmailAddress, java.lang.String sDisplayName, RecipientInfo.UnresolvedRecipient.AmbiguousEntry[] entries)` Constructor.
`RecipientInfo.UnresolvedRecipient(int iIndex, java.lang.String sEmailAddress, java.lang.String sDisplayName, RecipientInfo.UnresolvedRecipient.AmbiguousEntry[] entries, int iType, java.lang.String sID)` Constructor.

Method Summary
`RecipientInfo.UnresolvedRecipient.AmbiguousEntry[]` | `getAmbiguousEntries()` Gets the ambiguous entries this unresolved recipient may resolve to.
`boolean` | `hasAmbiguous()` Checks if there are any ambiguous entries.

Methods inherited from class portlets.compoze.groupware.RecipientInfo.Recipient
`getDisplayName, getEmailAddress, getID, getIndex, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipientInfo.UnresolvedRecipient

    public RecipientInfo.UnresolvedRecipient(int iIndex,
                                             java.lang.String sEmailAddress,
                                             java.lang.String sDisplayName,
                                             RecipientInfo.UnresolvedRecipient.AmbiguousEntry[] entries)

  Constructor.

Parameters:
  `iIndex` - the recipient index
  `sEmailAddress` - the email address (may not be `null`)
  `sDisplayName` - the display name
  `entries` - the entries (may not be `null`)

### RecipientInfo.UnresolvedRecipient

    public RecipientInfo.UnresolvedRecipient(int iIndex,
                                             java.lang.String sEmailAddress,
                                             java.lang.String sDisplayName,
                                             RecipientInfo.UnresolvedRecipient.AmbiguousEntry[] entries,
                                             int iType,
                                             java.lang.String sID)

  Constructor.

Parameters:
  `iIndex` - the recipient index
  `sEmailAddress` - the email address (may not be `null`)
  `sDisplayName` - the display name
  `entries` - the entries (may not be `null`)
  `iType` - the recipient type
  `sID` - the recipient ID (may not be `null`)

Method Detail

### getAmbiguousEntries

    public RecipientInfo.UnresolvedRecipient.AmbiguousEntry[] getAmbiguousEntries()

  Gets the ambiguous entries this unresolved recipient may resolve to.

  Returns:
    an array of ambiguous entries or an empty array for none

### hasAmbiguous

    public boolean hasAmbiguous()

  Checks if there are any ambiguous entries.

  Returns:
    `true` if this unresolved recipient has ambiguous entries; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.